#include "client.h"

#include <balancer/client/experimental/util/requester_utils.h>
#include <balancer/client/experimental/util/request_utils.h>

namespace NHttp {
TClient& Client() {
    return *SingletonWithPriority<NRequesters::TBalancerClient, 3>();
}

TExpected<TFullResponse, TError> Get(TStringBuf url, TInstant deadline) {
    return NUtils::Send(Client(), NUtils::BuildRequest(url).Success(), deadline);
}
} // namespace NHttp
